X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

firefox 25.0 disabled kaspersky virtual keyboard and safe money ect how do i change back to the previous version as fire fox tells you to late in the update

Posted

firefox 25.0 disabled kaspersky virtual keyboard and safe money ect how do i change back to the previous version as fire fox tells you to late in the update to back track

Chosen solution

Hello Bretus,

Thank you for contacting Mozilla Support and I'm sorry this update isn't compatible with the extensions you're using.

The Kaspersky support forums mention that those extensions will be updated soon, so that they are compatible with FF25. In the meantime, we do not recommend that you downgrade your version of Firefox, but you can find instructions and download locations for previous versions here:

Install an older version of Firefox

Please let us know if this solves your issue.

Cheers, Patrick

Read this answer in context 3
Post a Reply

Additional System Details

Installed Plug-ins

  • HP Pit Plugin
  • HP Product Detection Plugin
  • HP Active Check Plugin
  • 1.0.0.5
  • Shockwave Flash 11.9 r900
  • Next Generation Java Plug-in 10.45.2 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • 5.1.20913.0
  • NPWLPG
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • Adobe PDF Plug-In For Firefox and Netscape
  • MetaStream 3 Plugin r4

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.0; rv:25.0) Gecko/20100101 Firefox/25.0

More Information

patrickmc
  • Administrator
  • Moderator
23 solutions 174 answers

Chosen Solution

Hello Bretus,

Thank you for contacting Mozilla Support and I'm sorry this update isn't compatible with the extensions you're using.

The Kaspersky support forums mention that those extensions will be updated soon, so that they are compatible with FF25. In the meantime, we do not recommend that you downgrade your version of Firefox, but you can find instructions and download locations for previous versions here:

Install an older version of Firefox

Please let us know if this solves your issue.

Cheers, Patrick

Was this helpful to you? 3
Reply
Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.